- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5c26d31c-2ee4-4a7e-9a6b-66a9d3ee5e6d
    creation_time: 2023-02-17T13:37:18.947266Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9d2c45ed-0eab-484e-bfe0-4ff887fce7ec
    creation_time: 2023-02-17T13:37:18.947637Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: a9416e82-4e20-4e13-b507-247b2041baa8
    creation_time: 2023-02-17T13:37:18.947752Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: eb13baec-dd2a-403e-a8c3-2250129c1b95
    creation_time: 2023-02-17T13:37:18.947835Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 24b6110d-4de6-466e-be1e-ba461cc866cd
    creation_time: 2023-02-17T13:37:18.947915Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4 * (A + r) == u * u - v * v - 2 * u + 2 * v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7e1cd193-f48d-40a4-aa62-2e57b1527bd9
    creation_time: 2023-02-17T13:37:18.947997Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4*(A+r) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2915c696-ba44-4712-8677-58f83982983a
    creation_time: 2023-02-17T13:37:18.948078Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 57
    column: 0
    function: main
  location_invariant:
    string: ((long long) 4*A) == u*u - v*v - 2*u + 2*v
    type: assertion
    format: C

